#!/bin/sh

HASH=`git show --pretty=format:%H --quiet`
LCDATE=`date +%d/%m/%Y`
TYPE="book"

if [ $2 = $TYPE ]; then
    asciidoc --backend docbook --doctype $2 -a lang=pt -a revnumber="$HASH" -a revdate="$LCDATE" --out-file ~/Desktop/"$1".xml "$1".txt
else
    asciidoc --backend docbook --doctype $2 -a lang=pt -a toc! --out-file ~/Desktop/"$1".xml "$1".txt
fi

java -cp "/Users/sergiolopes/Tools/local/docbookchain/saxon.jar:/Users/sergiolopes/Tools/local/docbookchain/xslthl-2.0.2.jar:/Users/sergiolopes/Tools/local/docbook-xsl-1.76.0/extensions/saxon65.jar:/Users/sergiolopes/Tools/local/docbookchain/resolver.jar:/Users/sergiolopes/Tools/local/docbookchain" -Dxslthl.config="file:///Users/sergiolopes/Tools/local/docbook-xsl-1.76.0/highlighting/xslthl-config.xml" com.icl.saxon.StyleSheet -x org.apache.xml.resolver.tools.ResolvingXMLReader -y org.apache.xml.resolver.tools.ResolvingXMLReader -r org.apache.xml.resolver.tools.CatalogResolver -o ~/Desktop/"$1".fo ~/Desktop/"$1".xml /Users/sergiolopes/Tools/local/docbookchain/knt.book.fo.xsl

fop -fo ~/Desktop/"$1".fo -pdf ~/Desktop/"$1".pdf
