<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xslthl="http://xslthl.sf.net" exclude-result-prefixes="xslthl">
	<!-- Include Custom AsciiDoc FOP formatting -->
	<xsl:import href="file:///Users/sergiolopes/Tools/local/docbookchain/fo.xsl"/>
	<!-- Include source syntax highlighting -->
	<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/highlighting/common.xsl"/>
	<!-- This contains the default source highlight styling rules -->
	<xsl:import href="http://docbook.sourceforge.net/release/xsl/current/fo/highlight.xsl"/>
	<!-- Without the below, line numbering doesn't work -->
	<xsl:param name="use.extensions" select="'1'"/> 
	<xsl:param name="linenumbering.extension" select="'1'"/> 
	<xsl:param name="linenumbering.everyNth" select="'1'"/> 
	<!-- My style customisations -->
	<xsl:template match='xslthl:keyword' mode="xslthl">
		<fo:inline font-weight="bold" color="red"><xsl:apply-templates mode="xslthl"/></fo:inline>
	</xsl:template>
</xsl:stylesheet>